import 'package:flutter/material.dart';
import 'package:wyatt_component_copy_with_extension/component_copy_with_extension.dart';
import 'package:wyatt_ui_components/wyatt_wyatt_ui_components.dart';

part 'custom_app_bar.g.dart';

@ComponentCopyWithExtension()
class CustomAppBar extends AppBarComponent with $CustomAppBarCWMixin {
  const CustomAppBar({
    super.title,
    super.key,
  });

  @override
  Widget build(BuildContext context) => AppBar(
        title: Text(title ?? ''),
      );
}
